diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc ns-3.44/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc
--- ns-3.43/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -67,13 +67,13 @@
 static constexpr bool WRITE_GNUPLOT = false; //!< Set to true to write out gnuplot.
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
  * Add sample trace values to data structures
- * \param gnuplotTimeSeries Gnuplot data structure
- * \param timeSeries time series of cwnd changes
- * \param oldval old value of cwnd
- * \param newval new value of cwnd
+ * @param gnuplotTimeSeries Gnuplot data structure
+ * @param timeSeries time series of cwnd changes
+ * @param oldval old value of cwnd
+ * @param newval new value of cwnd
  */
 void
 CubicCwndTracer(Gnuplot2dDataset* gnuplotTimeSeries,
@@ -88,7 +88,7 @@
 }
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  * Test Cubic response
  */
 class Ns3TcpCubicTestCase : public TestCase
@@ -97,12 +97,12 @@
     /**
      * Constructor.
      *
-     * \param testCase testcase name
-     * \param prefix filename prefix if writing output files
-     * \param fastConvergence whether to enable fast convergence
-     * \param tcpFriendliness whether to enable TCP friendliness
-     * \param baseRtt base RTT to use for test case
-     * \param capacityIncrease whether to trigger a sudden capacity increase
+     * @param testCase testcase name
+     * @param prefix filename prefix if writing output files
+     * @param fastConvergence whether to enable fast convergence
+     * @param tcpFriendliness whether to enable TCP friendliness
+     * @param baseRtt base RTT to use for test case
+     * @param capacityIncrease whether to trigger a sudden capacity increase
      */
     Ns3TcpCubicTestCase(std::string testCase,
                         std::string prefix,
@@ -118,24 +118,24 @@
     /**
      * Connect TCP cwnd trace after socket is instantiated
      *
-     * \param nodeId node ID to connect to
-     * \param socketId socket ID to connect to
+     * @param nodeId node ID to connect to
+     * @param socketId socket ID to connect to
      */
     void ConnectCwndTrace(uint32_t nodeId, uint32_t socketId);
 
     /**
      * Increases the device bandwidth to 100 Mbps
-     * \param device device to modify
+     * @param device device to modify
      */
     void IncreaseBandwidth(Ptr<PointToPointNetDevice> device);
 
     /**
      * Check that time series values within a time range are within a value range.
-     * \param start start of time range
-     * \param end end of time range
-     * \param lowerBound lower bound of acceptable values
-     * \param upperBound upper bound of acceptable values
-     * \return true if values are within range
+     * @param start start of time range
+     * @param end end of time range
+     * @param lowerBound lower bound of acceptable values
+     * @param upperBound upper bound of acceptable values
+     * @return true if values are within range
      */
     bool CheckValues(Time start, Time end, double lowerBound, double upperBound);
 
@@ -299,7 +299,7 @@
     // Install application on the receiver
     PacketSinkHelper sink("ns3::TcpSocketFactory", InetSocketAddress(Ipv4Address::GetAny(), port));
     ApplicationContainer sinkApps = sink.Install(receiver.Get(0));
-    sinkApps.Start(Seconds(0.0));
+    sinkApps.Start(Seconds(0));
     sinkApps.Stop(stopTime);
 
     if (m_capacityIncrease)
@@ -391,7 +391,7 @@
 }
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  * TestSuite for module tcp-cubic
  */
 class Ns3TcpCubicTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3tcp/ns3tcp-loss-test-suite.cc ns-3.44/src/test/ns3tcp/ns3tcp-loss-test-suite.cc
--- ns-3.43/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -51,9 +51,9 @@
 const uint32_t PCAP_SNAPLEN = 64; //!< Don't bother to save much data.
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
- * \brief Tests of TCP implementation loss behavior.
+ * @brief Tests of TCP implementation loss behavior.
  */
 class Ns3TcpLossTestCase : public TestCase
 {
@@ -63,8 +63,8 @@
     /**
      * Constructor.
      *
-     * \param tcpModel The TCP model name.
-     * \param testCase Testcase number.
+     * @param tcpModel The TCP model name.
+     * @param testCase Testcase number.
      */
     Ns3TcpLossTestCase(std::string tcpModel, uint32_t testCase);
 
@@ -93,10 +93,10 @@
      * Check that the transmitted packets are consistent with the trace.
      * This callback is hooked to ns3::Ipv4L3Protocol/Tx.
      *
-     * \param context The callback context (unused).
-     * \param packet The transmitted packet.
-     * \param ipv4 The IPv4 object that did send the packet (unused).
-     * \param interface The IPv4 interface that did send the packet (unused).
+     * @param context The callback context (unused).
+     * @param packet The transmitted packet.
+     * @param ipv4 The IPv4 object that did send the packet (unused).
+     * @param interface The IPv4 interface that did send the packet (unused).
      */
     void Ipv4L3Tx(std::string context,
                   Ptr<const Packet> packet,
@@ -105,23 +105,23 @@
     /**
      * CWND trace.
      *
-     * \param oldval The old value.
-     * \param newval The new value.
+     * @param oldval The old value.
+     * @param newval The new value.
      */
     void CwndTracer(uint32_t oldval, uint32_t newval);
     /**
      * Write to the socket until the buffer is full.
      *
-     * \param localSocket The output socket.
-     * \param txSpace The space left on the socket (unused).
+     * @param localSocket The output socket.
+     * @param txSpace The space left on the socket (unused).
      */
     void WriteUntilBufferFull(Ptr<Socket> localSocket, uint32_t txSpace);
     /**
      * Start transmitting a TCP flow.
      *
-     * \param localSocket The sending socket.
-     * \param servAddress The IPv4 address of the server (i.e., the destination address).
-     * \param servPort The TCP port of the server (i.e., the destination port).
+     * @param localSocket The sending socket.
+     * @param servAddress The IPv4 address of the server (i.e., the destination address).
+     * @param servPort The TCP port of the server (i.e., the destination port).
      */
     void StartFlow(Ptr<Socket> localSocket, Ipv4Address servAddress, uint16_t servPort);
 };
@@ -400,8 +400,8 @@
     PacketSinkHelper sink("ns3::TcpSocketFactory",
                           InetSocketAddress(Ipv4Address::GetAny(), servPort));
     ApplicationContainer apps = sink.Install(r1k1.Get(1));
-    apps.Start(Seconds(0.0));
-    apps.Stop(Seconds(100.0));
+    apps.Start(Seconds(0));
+    apps.Stop(Seconds(100));
 
     // Create a data source to send packets on node s0.
     // Instead of full application, here use the socket directly by
@@ -488,7 +488,7 @@
 }
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
  * TCP implementation loss behavior TestSuite.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc ns-3.44/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc
--- ns-3.43/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -29,9 +29,9 @@
 NS_LOG_COMPONENT_DEFINE("Ns3TcpNoDelayTest");
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
- * \brief Tests of Nagle's algorithm and the TCP no delay option.
+ * @brief Tests of Nagle's algorithm and the TCP no delay option.
  */
 class Ns3TcpNoDelayTestCase : public TestCase
 {
@@ -39,7 +39,7 @@
     /**
      * Constructor.
      *
-     * \param noDelay Enable or disable TCP no delay option.
+     * @param noDelay Enable or disable TCP no delay option.
      */
     Ns3TcpNoDelayTestCase(bool noDelay);
 
@@ -54,9 +54,9 @@
 
     /**
      * Receive a TCP packet.
-     * \param path The callback context (unused).
-     * \param p The received packet.
-     * \param address The sender's address (unused).
+     * @param path The callback context (unused).
+     * @param p The received packet.
+     * @param address The sender's address (unused).
      */
     void SinkRx(std::string path, Ptr<const Packet> p, const Address& address);
 
@@ -117,7 +117,7 @@
                           InetSocketAddress(Ipv4Address::GetAny(), sinkPort));
     ApplicationContainer apps = sink.Install(n1);
     // Start the sink application at time zero, and stop it at sinkStopTime
-    apps.Start(Seconds(0.0));
+    apps.Start(Seconds(0));
     apps.Stop(sinkStopTimeObj);
 
     Config::Connect("/NodeList/*/ApplicationList/*/$ns3::PacketSink/Rx",
@@ -201,7 +201,7 @@
 }
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
  * TCP Nagle's algorithm and the TCP no delay option TestSuite.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3tcp/ns3tcp-socket-test-suite.cc ns-3.44/src/test/ns3tcp/ns3tcp-socket-test-suite.cc
--- ns-3.43/src/test/ns3tcp/ns3tcp-socket-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3tcp/ns3tcp-socket-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -30,9 +30,9 @@
 NS_LOG_COMPONENT_DEFINE("Ns3SocketTest");
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
- * \brief Tests of TCP implementations from the application/socket perspective
+ * @brief Tests of TCP implementations from the application/socket perspective
  * using point-to-point links.
  */
 class Ns3TcpSocketTestCaseP2P : public TestCase
@@ -50,9 +50,9 @@
 
     /**
      * Receive a TCP packet.
-     * \param path The callback context (unused).
-     * \param p The received packet.
-     * \param address The sender's address (unused).
+     * @param path The callback context (unused).
+     * @param p The received packet.
+     * @param address The sender's address (unused).
      */
     void SinkRx(std::string path, Ptr<const Packet> p, const Address& address);
 
@@ -112,7 +112,7 @@
                           InetSocketAddress(Ipv4Address::GetAny(), sinkPort));
     ApplicationContainer apps = sink.Install(n1);
     // Start the sink application at time zero, and stop it at sinkStopTime
-    apps.Start(Seconds(0.0));
+    apps.Start(Seconds(0));
     apps.Stop(sinkStopTimeObj);
 
     Config::Connect("/NodeList/*/ApplicationList/*/$ns3::PacketSink/Rx",
@@ -155,9 +155,9 @@
 }
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
- * \brief Tests of TCP implementations from the application/socket perspective
+ * @brief Tests of TCP implementations from the application/socket perspective
  * using CSMA links.
  */
 class Ns3TcpSocketTestCaseCsma : public TestCase
@@ -175,9 +175,9 @@
 
     /**
      * Receive a TCP packet.
-     * \param path The callback context (unused).
-     * \param p The received packet.
-     * \param address The sender's address (unused).
+     * @param path The callback context (unused).
+     * @param p The received packet.
+     * @param address The sender's address (unused).
      */
     void SinkRx(std::string path, Ptr<const Packet> p, const Address& address);
 
@@ -241,7 +241,7 @@
                           InetSocketAddress(Ipv4Address::GetAny(), sinkPort));
     ApplicationContainer apps = sink.Install(n1);
     // Start the sink application at time zero, and stop it at sinkStopTime
-    apps.Start(Seconds(0.0));
+    apps.Start(Seconds(0));
     apps.Stop(sinkStopTimeObj);
 
     Config::Connect("/NodeList/*/ApplicationList/*/$ns3::PacketSink/Rx",
@@ -287,7 +287,7 @@
 }
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
  * TCP implementations from the application/socket perspective TestSuite.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3tcp/ns3tcp-socket-writer.h ns-3.44/src/test/ns3tcp/ns3tcp-socket-writer.h
--- ns-3.43/src/test/ns3tcp/ns3tcp-socket-writer.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3tcp/ns3tcp-socket-writer.h	2025-03-09 16:55:49.703372200 -0700
@@ -14,9 +14,9 @@
 {
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
- * \brief Simple class to write data to sockets.
+ * @brief Simple class to write data to sockets.
  */
 class SocketWriter : public Application
 {
@@ -25,14 +25,14 @@
     ~SocketWriter() override;
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Setup the socket.
-     * \param node The node owning the socket.
-     * \param peer The destination address.
+     * @param node The node owning the socket.
+     * @param peer The destination address.
      */
     void Setup(Ptr<Node> node, Address peer);
     /**
@@ -41,7 +41,7 @@
     void Connect();
     /**
      * Write to the socket.
-     * \param numBytes The number of bytes to write.
+     * @param numBytes The number of bytes to write.
      */
     void Write(uint32_t numBytes);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3tcp/ns3tcp-state-test-suite.cc ns-3.44/src/test/ns3tcp/ns3tcp-state-test-suite.cc
--- ns-3.43/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -53,9 +53,9 @@
 const uint32_t PCAP_SNAPLEN = 64; //!< Don't bother to save much data.
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
- * \brief Tests of TCP implementation state machine behavior
+ * @brief Tests of TCP implementation state machine behavior
  */
 class Ns3TcpStateTestCase : public TestCase
 {
@@ -63,7 +63,7 @@
     Ns3TcpStateTestCase();
     /**
      * Constructor.
-     * \param testCase Testcase number.
+     * @param testCase Testcase number.
      */
     Ns3TcpStateTestCase(uint32_t testCase);
 
@@ -90,10 +90,10 @@
      * Check that the transmitted packets are consistent with the trace.
      * This callback is hooked to ns3::Ipv4L3Protocol/Tx.
      *
-     * \param context The callback context (unused).
-     * \param packet The transmitted packet.
-     * \param ipv4 The IPv4 object that did send the packet (unused).
-     * \param interface The IPv4 interface that did send the packet (unused).
+     * @param context The callback context (unused).
+     * @param packet The transmitted packet.
+     * @param ipv4 The IPv4 object that did send the packet (unused).
+     * @param interface The IPv4 interface that did send the packet (unused).
      */
     void Ipv4L3Tx(std::string context,
                   Ptr<const Packet> packet,
@@ -103,10 +103,10 @@
      * Check that the received packets are consistent with the trace.
      * This callback is hooked to ns3::Ipv4L3Protocol/Tx.
      *
-     * \param context The callback context (unused).
-     * \param packet The transmitted packet.
-     * \param ipv4 The IPv4 object that did send the packet (unused).
-     * \param interface The IPv4 interface that did send the packet (unused).
+     * @param context The callback context (unused).
+     * @param packet The transmitted packet.
+     * @param ipv4 The IPv4 object that did send the packet (unused).
+     * @param interface The IPv4 interface that did send the packet (unused).
      */
     void Ipv4L3Rx(std::string context,
                   Ptr<const Packet> packet,
@@ -115,16 +115,16 @@
     /**
      * Write to the socket until the buffer is full.
      *
-     * \param localSocket The output socket.
-     * \param txSpace The space left on the socket (unused).
+     * @param localSocket The output socket.
+     * @param txSpace The space left on the socket (unused).
      */
     void WriteUntilBufferFull(Ptr<Socket> localSocket, uint32_t txSpace);
     /**
      * Start transmitting a TCP flow.
      *
-     * \param localSocket The sending socket.
-     * \param servAddress The IPv4 address of the server (i.e., the destination address).
-     * \param servPort The TCP port of the server (i.e., the destination port).
+     * @param localSocket The sending socket.
+     * @param servAddress The IPv4 address of the server (i.e., the destination address).
+     * @param servPort The TCP port of the server (i.e., the destination port).
      */
     void StartFlow(Ptr<Socket> localSocket, Ipv4Address servAddress, uint16_t servPort);
 };
@@ -393,8 +393,8 @@
     PacketSinkHelper sink("ns3::TcpSocketFactory",
                           InetSocketAddress(Ipv4Address::GetAny(), servPort));
     ApplicationContainer sinkApps = sink.Install(n1n2.Get(1));
-    sinkApps.Start(Seconds(0.0));
-    sinkApps.Stop(Seconds(100.0));
+    sinkApps.Start(Seconds(0));
+    sinkApps.Stop(Seconds(100));
 
     // Create a data source to send packets on node n0
     // Instead of full application, here use the socket directly by
@@ -509,7 +509,7 @@
 }
 
 /**
- * \ingroup system-tests-tcp
+ * @ingroup system-tests-tcp
  *
  * TCP implementation state machine behavior TestSuite.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc ns-3.44/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc
--- ns-3.43/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -30,10 +30,10 @@
 NS_LOG_COMPONENT_DEFINE("WifiAcMappingTest");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test for User priority to Access Category mapping
+ * @brief Test for User priority to Access Category mapping
  */
 class WifiAcMappingTest : public TestCase
 {
@@ -41,8 +41,8 @@
     /**
      * Constructor for WifiAcMappingTest
      *
-     * \param tos the type of service
-     * \param expectedQueue the expected queue disc index
+     * @param tos the type of service
+     * @param expectedQueue the expected queue disc index
      */
     WifiAcMappingTest(uint8_t tos, uint8_t expectedQueue);
     void DoRun() override;
@@ -52,9 +52,9 @@
      * Function called whenever a packet is enqueued in
      * a queue disc.
      *
-     * \param tos the type of service
-     * \param count the pointer to the packet counter
-     * \param item the enqueued item
+     * @param tos the type of service
+     * @param count the pointer to the packet counter
+     * @param item the enqueued item
      */
     static void PacketEnqueuedInQueueDisc(uint8_t tos,
                                           uint16_t* count,
@@ -63,9 +63,9 @@
      * Function called whenever a packet is enqueued in
      * a Wi-Fi MAC queue.
      *
-     * \param tos the type of service
-     * \param count the pointer to the packet counter
-     * \param item the enqueued item
+     * @param tos the type of service
+     * @param count the pointer to the packet counter
+     * @param item the enqueued item
      */
     static void PacketEnqueuedInWifiMacQueue(uint8_t tos,
                                              uint16_t* count,
@@ -191,7 +191,7 @@
                                 InetSocketAddress(Ipv4Address::GetAny(), udpPort));
     ApplicationContainer sinkApp = packetSink.Install(sta.Get(0));
     sinkApp.Start(Seconds(0));
-    sinkApp.Stop(Seconds(4.0));
+    sinkApp.Stop(Seconds(4));
 
     // The packet source is an on-off application on the AP device
     InetSocketAddress dest(staNodeInterface.GetAddress(0), udpPort);
@@ -199,14 +199,14 @@
     onoff.SetConstantRate(DataRate("5kbps"), 500);
     onoff.SetAttribute("Tos", UintegerValue(m_tos));
     ApplicationContainer sourceApp = onoff.Install(ap.Get(0));
-    sourceApp.Start(Seconds(1.0));
-    sourceApp.Stop(Seconds(4.0));
+    sourceApp.Start(Seconds(1));
+    sourceApp.Stop(Seconds(4));
 
     // The first packet will be transmitted at time 1+(500*8)/5000 = 1.8s.
     // The second packet will be transmitted at time 1.8+(500*8)/5000 = 2.6s.
     // The third packet will be transmitted at time 2.6+(500*8)/5000 = 3.4s.
 
-    Simulator::Stop(Seconds(5.0));
+    Simulator::Stop(Seconds(5));
 
     Ptr<QueueDisc> root =
         ap.Get(0)->GetObject<TrafficControlLayer>()->GetRootQueueDiscOnDevice(apDev.Get(0));
@@ -310,10 +310,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Access category mapping Test Suite
+ * @brief Access category mapping Test Suite
  */
 class WifiAcMappingTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3wifi/wifi-issue-211-test-suite.cc ns-3.44/src/test/ns3wifi/wifi-issue-211-test-suite.cc
--- ns-3.43/src/test/ns3wifi/wifi-issue-211-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3wifi/wifi-issue-211-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -28,10 +28,10 @@
 using namespace ns3;
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test for issue 211 (https://gitlab.com/nsnam/ns-3-dev/-/issues/211)
+ * @brief Test for issue 211 (https://gitlab.com/nsnam/ns-3-dev/-/issues/211)
  *
  * This test aims to check that the transmission of data frames (under a
  * Block Ack agreement) resumes after a period in which the connectivity
@@ -48,7 +48,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     Issue211Test();
     ~Issue211Test() override;
@@ -58,7 +58,7 @@
   private:
     /**
      * Compute the average throughput since the last check-point
-     * \param server the UDP server
+     * @param server the UDP server
      */
     void CalcThroughput(Ptr<UdpServer> server);
 
@@ -71,7 +71,7 @@
 Issue211Test::Issue211Test()
     : TestCase("Test case for resuming data transmission when the recipient moves back"),
       m_lastRxBytes(0),
-      m_lastCheckPointTime(Seconds(0)),
+      m_lastCheckPointTime(),
       m_payloadSize(2000)
 {
 }
@@ -94,9 +94,9 @@
 void
 Issue211Test::DoRun()
 {
-    Time simulationTime(Seconds(6.0));
-    Time moveAwayTime(Seconds(2.0));
-    Time moveBackTime(Seconds(4.0));
+    Time simulationTime(Seconds(6));
+    Time moveAwayTime(Seconds(2));
+    Time moveBackTime(Seconds(4));
 
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(40);
@@ -169,12 +169,12 @@
     apNodeInterface = address.Assign(apDevices.Get(0));
 
     ApplicationContainer serverApp;
-    Time warmup(Seconds(1.0)); // to account for association
+    Time warmup(Seconds(1)); // to account for association
 
     uint16_t port = 9;
     UdpServerHelper server(port);
     serverApp = server.Install(wifiStaNode.Get(0));
-    serverApp.Start(Seconds(0.0));
+    serverApp.Start(Seconds(0));
     serverApp.Stop(warmup + simulationTime);
 
     UdpClientHelper client(staNodeInterface.GetAddress(0), port);
@@ -235,10 +235,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Block Ack Test Suite
+ * @brief Block Ack Test Suite
  */
 class Issue211TestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc ns-3.44/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc
--- ns-3.43/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -23,10 +23,10 @@
 using namespace ns3;
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Throughput test for MsduAggregator
+ * @brief Throughput test for MsduAggregator
  */
 class WifiMsduAggregatorThroughputTest : public TestCase
 {
@@ -140,7 +140,7 @@
                                 InetSocketAddress(Ipv4Address::GetAny(), udpPort));
     ApplicationContainer sinkApp = packetSink.Install(sta.Get(0));
     sinkApp.Start(Seconds(0));
-    sinkApp.Stop(Seconds(9.0));
+    sinkApp.Stop(Seconds(9));
 
     // The packet source is an on-off application on the AP
     // device. Given that we have fixed the transmit rate at 1 Mbps
@@ -153,8 +153,8 @@
     onoff.SetAttribute("PacketSize", UintegerValue(100));
     onoff.SetConstantRate(DataRate("1Mbps"));
     ApplicationContainer sourceApp = onoff.Install(ap.Get(0));
-    sourceApp.Start(Seconds(1.0));
-    sourceApp.Stop(Seconds(9.0));
+    sourceApp.Start(Seconds(1));
+    sourceApp.Stop(Seconds(9));
 
     // Enable tracing at the AP
     if (m_writeResults)
@@ -163,7 +163,7 @@
         wifiPhy.EnablePcap("wifi-amsdu-throughput", sta.Get(0)->GetId(), 0);
     }
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
     Simulator::Run();
     Simulator::Destroy();
 
@@ -191,10 +191,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief MsduAggregator Test Suite
+ * @brief MsduAggregator Test Suite
  *
  * For now the MSDU Aggregator Test Suite contains only the one test
  * that is defined in this file, so it's class definition and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/traced/traced-callback-typedef-test-suite.cc ns-3.44/src/test/traced/traced-callback-typedef-test-suite.cc
--- ns-3.43/src/test/traced/traced-callback-typedef-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/traced/traced-callback-typedef-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -35,15 +35,15 @@
 using namespace ns3;
 
 /**
- * \file
- * \ingroup system-tests-traced
+ * @file
+ * @ingroup system-tests-traced
  *
  * TracedCallback tests to verify if they are called with
  * the right type and number of arguments.
  */
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * TracedCallback Testcase.
  *
@@ -88,10 +88,10 @@
 {
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Record typedefs which are identical to previously declared.
- * \return a container of strings representing the duplicates.
+ * @return a container of strings representing the duplicates.
  */
 std::set<std::string>
 Duplicates()
@@ -108,20 +108,20 @@
 }
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Container for duplicate types.
  */
 std::set<std::string> g_dupes = Duplicates();
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Stringify the known TracedCallback type names.
  *
- * \tparam T \explicit The typedef name.
- * \param [in] N The number of arguments expected.
- * \returns The \c TracedCallback type name.
+ * @tparam T \explicit The typedef name.
+ * @param [in] N The number of arguments expected.
+ * @returns The \c TracedCallback type name.
  */
 template <typename T>
 inline std::string
@@ -131,7 +131,7 @@
 }
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Returns a string representing the type of a class.
  */
@@ -145,13 +145,13 @@
     }
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
- * \name Stringify known typename.
+ * @name Stringify known typename.
  */
 /**
  * @{
- * \brief Stringify a known typename
+ * @brief Stringify a known typename
  */
 TYPENAME(dsr::DsrOptionSRHeader::TracedCallback);
 TYPENAME(EpcUeNas::StateTracedCallback);
@@ -212,14 +212,14 @@
 #undef TYPENAME
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Log that a callback was invoked.
  *
  * We can't actually do anything with any of the arguments,
  * but the fact we got called is what's important.
  *
- * \param [in] N The number of arguments passed to the callback.
+ * @param [in] N The number of arguments passed to the callback.
  */
 void
 SinkIt(std::size_t N)
@@ -229,7 +229,7 @@
 }
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Sink functions.
  */
@@ -238,8 +238,8 @@
 {
   public:
     /**
-     * \brief Sink function, called by a TracedCallback.
-     * \tparam Ts parameters of the TracedCallback.
+     * @brief Sink function, called by a TracedCallback.
+     * @tparam Ts parameters of the TracedCallback.
      */
     static void Sink(Ts...)
     {
@@ -268,8 +268,13 @@
     TracedCallback<Ts...> m_cb;
 
   public:
-    Checker(){};
-    ~Checker() override{};
+    Checker()
+    {
+    }
+
+    ~Checker() override
+    {
+    }
 
     /// Arguments of the TracedCallback.
     std::tuple<std::remove_pointer_t<std::remove_cvref_t<Ts>>...> m_items;
@@ -313,7 +318,7 @@
 }
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Check the TracedCallback duplicate by checking if it matches the TracedCallback
  * it is supposed to be equal to.
@@ -337,7 +342,7 @@
     }
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
  * Check the TracedCallback by calling its Invoke function.
  */
@@ -519,9 +524,9 @@
 }
 
 /**
- * \ingroup system-tests-traced
+ * @ingroup system-tests-traced
  *
- * \brief TracedCallback typedef TestSuite
+ * @brief TracedCallback typedef TestSuite
  */
 class TracedCallbackTypedefTestSuite : public TestSuite
 {
